Bug 1532 - write list parameter does not work for security = share
write list parameter does not work for security = share
Status: RESOLVED DUPLICATE of bug 1254
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.5
All All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-14 19:58 UTC by Shiro Yamada
Modified: 2005-02-07 09:56 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shiro Yamada 2004-07-14 19:58:17 UTC
I have recently encountered a problem in Samba 3.0.4 that ignores
the "write list" parameter when "security" parameter is set to
share. Below is the example of smb.conf to reproduce the situation.
In this example, I have used user shiro:shiro for accessing the share tmp.

[global]
    security = share
    guest ok = yes
[tmp]
    path = /tmp
    writeable = no
    guest ok = no
    write list = @shiro

In Samba 3.0.2a, it allows write access to user shiro on share "tmp",
whereas in Samba 3.0.4 it does not permit writing any data onto the
share. If I change the security mode to "user", Samba grants write
access to the user shiro.

I had a quick glance at the CVS tree and realised that between the
revisions 1.122.2.8 and 1.122.2.9 of smbd/service.c, set_read_only()
function had been removed and the whole procedures had been migrated
to is_share_read_only() function in smbd/uid.c.

What I'd like to know is whether this change of behaviour is
intentional or not, in other words do you classify it as a bug?
Comment 1 Björn Jacke 2004-07-15 04:25:07 UTC
this should be fixed in post 3.0.4 releases. If you still encounter the problem
with 3.0.5 please reopen this bug.
Comment 2 Shiro Yamada 2004-07-15 20:49:11 UTC
(In reply to comment #1)
> this should be fixed in post 3.0.4 releases. If you still encounter the problem
> with 3.0.5 please reopen this bug.

Do you mean it should be fixed in 3.0.5rc1?
If that is so, then I must disappoint you to say that I have managed
to reproduce it in 3.0.5rc1. I'm not sure about HEAD cvs tree, as I
failed to build binaries from it.
Comment 3 Shiro Yamada 2004-07-20 21:27:03 UTC
I've managed to reproduce it from the binaries built from the source code in
subversion (Rev. 1556). I am going to reopen this issue.
Comment 4 Gerald (Jerry) Carter 2004-07-21 05:30:48 UTC

*** This bug has been marked as a duplicate of 1254 ***
Comment 5 Gerald (Jerry) Carter 2005-02-07 09:56:00 UTC
originally against 3.0.5rc1 (which was 34.0.6rc1 due to the security release).